<?php
/****************************************************************************************
* LiveZilla definitions.inc.php
* 
* Copyright 2019 LiveZilla GmbH
* All rights reserved.
* LiveZilla is a registered trademark.
* 
***************************************************************************************/ 

define("VERSION","8.0.1.3");
define("SYSTEM","SYSTEM");
define("DEBUG_MODE",true);
define("PHP_NEEDED_MAJOR",5);
define("PHP_NEEDED_MINOR",6);
define("PHP_NEEDED_BUILD",0);
define("PROTOCOL","livezilla");
define("USER_ID_LENGTH",10);
define("DATA_ITEM_LOADS",20);
define("DATA_DEMAND_LOADS",20);
define("TRANSLATION_STRING_COUNT",171);
define("DATA_LIFETIME",2592000);
define("MAX_INPUT_LENGTH",64000);
define("MAX_INPUT_LENGTH_OVERLAY",600);
define("MAX_MAIL_PER_MINUTE",15);
define("MAX_FILE_UPLOADS_PER_DAY",50);
define("MAX_TICKET_MSG_LENGTH",500000);
define("TICKET_NO_WT",2000000000);
define("MAX_TICKETS_PER_DAY",20);
define("MAX_FEEDBACKS_PER_DAY",3);
define("MAX_LOGIN_ATTEMPTS",5);
define("ALLOCATION_MODE_ALL",1);
define("CALLER_TYPE_INTERNAL","intern");
define("CALLER_TYPE_EXTERNAL","extern");
define("CALLER_TYPE_TRACK","track");
define("CALLER_TYPE_VISION","vision");
define("CALLER_TYPE_OVL","ovl");
define("CONNECTION_ERROR_SPAN",30);
define("PERMISSION_FULL",2);
define("PERMISSION_RELATED",1);
define("PERMISSION_NONE",0);
define("PERMISSION_VOID",-1);
define("PERMISSION_TICKETS",0);
define("PERMISSION_FEEDBACK",1);
define("PERMISSION_CHAT_ARCHIVE",2);
define("PERMISSION_REPORTS",5);
define("PERMISSION_MONITORING",6);
define("PERMISSION_RESOURCES",3);
define("PERMISSION_CHATS",13);
define("PERMISSION_LINK_GENERATOR",56);
define("PERMISSION_USER_MANAGEMENT",55);
define("PERMISSION_TRANSLATION_EDITOR",57);
define("PERMISSION_SERVER_CONFIGURATION",54);
define("PERMISSION_DATA_EXPORT",58);
define("CHAT_CLOSED",1);
define("CHAT_STATUS_OPEN",0);
define("CHAT_STATUS_WAITING",1);
define("CHAT_STATUS_ACTIVE",2);
define("CHAT_STATUS_DECLINED",3);
define("USER_STATUS_ONLINE",0);
define("USER_STATUS_BUSY",1);
define("USER_STATUS_OFFLINE",2);
define("USER_STATUS_AWAY",3);
define("TICKET_STATUS_CLOSED",2);
define("USER_TYPE_OPERATOR",1);
define("USER_TYPE_EXTERNAL",2);
define("USER_LEVEL_ADMIN",1);
define("GROUP_STATUS_AVAILABLE",0);
define("GROUP_STATUS_BUSY",1);
define("GROUP_STATUS_UNAVAILABLE",2);
define("POST_ACTION_VALUE_SPLITTER","><");
define("POST_ACTION_ADD",0);
define("POST_ACTION_EDIT",1);
define("POST_ACTION_REMOVE",2);
define("DATA_RESPONSE_TYPE_STATIC",2);
define("DATA_RESPONSE_TYPE_BASIC",1);
define("DATA_RESPONSE_TYPE_KEEP_ALIVE",0);
define("GROUP_EVERYONE_INTERN","everyoneintern");
define("GROUP_EVERYONE_EXTERN","everyoneextern");
define("BROWSER_TYPE_BROWSER",0);
define("BROWSER_TYPE_CHAT",1);
define("RESOURCE_TYPE_FILE_INTERNAL",3);
define("RESOURCE_TYPE_FILE_EXTERNAL",4);
define("LOGIN_REPLY_BAD_COMBINATION",0);
define("LOGIN_REPLY_SUCCEEDED",1);
define("LOGIN_REPLY_ALREADY_ONLINE",2);
define("LOGIN_REPLY_SIGN_OFF_REQUEST",3);
define("LOGIN_REPLY_SESSION_TIMEOUT",4);
define("LOGIN_REPLY_ACCOUNT_DEACTIVATED",15);
define("LOGIN_REPLY_NO_MOBILE_ACCESS",19);
define("LOGIN_REPLY_CHANGE_PASS",5);
define("LOGIN_REPLY_NOADMIN",9);
define("LOGIN_REPLY_DEACTIVATED",10);
define("LOGIN_REPLY_DB",13);
define("LOGIN_REPLY_HTTPS",14);
define("FILTER_EXERTION_BLACK",0);
define("FILTER_EXERTION_WHITE",1);
define("FILTER_TYPE_ACTIVE",1);
define("FILTER_TYPE_INACTIVE",0);
define("FLOOD_PROTECTION_SESSIONS",30);
define("FLOOD_PROTECTION_TIME",60);
define("CONFIG_LIVEZILLA_PUSH","https://ssl.livezilla.info/");
define("CONFIG_LIVEZILLA_SOCIAL","https://ssl.livezilla.info/social/");
define("EXTERN_ACTION_RELOAD_GROUPS","reloadgroups");
define("EXTERN_ACTION_LISTEN","listen");
define("EXTERN_ACTION_MAIL","mail");
define("EXTERN_ACTION_RATE","rate");
define("INTERN_ACTION_LISTEN","listen");
define("INTERN_ACTION_OPTIMIZE_TABLES","optimize");
define("INTERN_ACTION_REPORTS","reports");
define("INTERN_ACTION_LOGIN","login");
define("INTERN_ACTION_SET_MANAGEMENT","update_management");
define("INTERN_ACTION_SET_CONFIG","set_config");
define("INTERN_ACTION_DATABASE_TEST","database_test");
define("INTERN_ACTION_CREATE_TABLES","create_tables");
define("INTERN_ACTION_SEND_FILE","send_file");
define("INTERN_ACTION_SEND_TEST_MAIL","send_test_mail");
define("INTERN_ACTION_LDAP_TEST","ldap_test");
define("INTERN_ACTION_LDAP_SEARCH","ldap_search");
define("INTERN_ACTION_REMOVE_FILE","remove_file");
define("INTERN_ACTION_SET_AVAILABILITY","set_availability");
define("INTERN_ACTION_GET_ICON_LIST","get_banner_list");
define("INTERN_ACTION_KB_ACTIONS","kb_action");
define("INTERN_ACTION_DOWNLOAD_TRANSLATION","download_translation");
define("XML_CLIP_NULL","N");
@define("AGENT_TYPE_CRAWLER","0");
@define("AGENT_TYPE_BROWSER","1");
@define("AGENT_TYPE_APPLICATION","2");
@define("AGENT_TYPE_UNKNOWN","3");

define("ST_ACTION_FORWARDED_CHAT", 2);
define("ST_ACTION_INTERNAL_POST", 3);
define("ST_ACTION_EXTERNAL_POST", 4);
define("ST_ACTION_LOG_STATUS", 5);
define("ST_ACTION_LOG_CRAWLER_ACCESS", 6);
define("ST_ACTION_GOAL", 7);
define("STATISTIC_PERIOD_TYPE_DAY", "day");
define("STATISTIC_PERIOD_TYPE_MONTH", "month");
define("STATISTIC_PERIOD_TYPE_YEAR", "year");

define("PATH_CONFIG",LIVEZILLA_PATH . "_config/");
define("PATH_GROUPS",LIVEZILLA_PATH . "_groups/");
define("PATH_UPLOADS_INTERNAL",LIVEZILLA_PATH . "uploads/internal/");
define("PATH_UPLOADS_EXTERNAL",LIVEZILLA_PATH . "uploads/external/");
define("PATH_UPLOADS",LIVEZILLA_PATH . "uploads/");
define("PATH_IMAGES",LIVEZILLA_PATH . "images/");
define("PATH_LOG",LIVEZILLA_PATH . "_log/");
define("PATH_TEMPLATES",LIVEZILLA_PATH . "templates/");
define("PATH_LOCALIZATION",LIVEZILLA_PATH . "_language/");
define("FILE_ACTION_SUCCEEDED",1);
define("FILE_ACTION_ERROR",2);
define("FILE_ACTION_NONE",0);
define("FILE_GENERAL_LOG",PATH_LOG . "general.log");
define("FILE_ERROR_LOG",PATH_LOG . "error_php.log");
define("FILE_SQL_ERROR_LOG",PATH_LOG . "error_sql.log");
define("FILE_LDAP_LOG",PATH_LOG . "error_ldap.log");
define("FILE_EMAIL_LOG",PATH_LOG . "error_email.log");
define("FILE_SERVER_DISABLED",PATH_CONFIG . "_SERVER_DISABLED_");
define("FILE_TYPE_USERFILE","user_file");
define("FILE_CARRIERLOGO",PATH_IMAGES . "carrier_logo.png");
define("FILE_CARRIERHEADER",PATH_IMAGES . "carrier_header.gif");
define("FILE_TYPE_ADMIN_BANNER","administrator_banner");
define("FILE_INDEX","index.html");
define("FILE_INDEX_OLD","index.htm");
define("FILE_CHAT","chat.php");
define("FILE_CONFIG",LIVEZILLA_PATH . "_config/config.php");
define("FILE_CONFIG_OLD",LIVEZILLA_PATH . "_config/config.inc.php");
define("FILE_INSTALLER",LIVEZILLA_PATH . "install/install.php");
define("FOLDER_INSTALLER",LIVEZILLA_PATH . "install");
define("SCHEME_HTTP","http://");
define("SCHEME_HTTP_SECURE","https://");
define("EX_FILE_UPLOAD_REQUEST","lzar");

DEFINE("DATABASE_INFO","INFO");
DEFINE("DATABASE_CHAT_ARCHIVE","CHAT_ARCHIVE");
DEFINE("DATABASE_RESOURCES","RESOURCES");
DEFINE("DATABASE_PREDEFINED","PREDEFINED");
DEFINE("DATABASE_CHAT_FORWARDS","CHAT_FORWARDS");
DEFINE("DATABASE_GROUPS","GROUPS");
DEFINE("DATABASE_GROUP_MEMBERS","GROUP_MEMBERS");
DEFINE("DATABASE_POSTS","CHAT_POSTS");
DEFINE("DATABASE_TICKETS","TICKETS");
DEFINE("DATABASE_TICKET_MESSAGES","TICKET_MESSAGES");
DEFINE("DATABASE_TICKET_ATTACHMENTS","TICKET_ATTACHMENTS");
DEFINE("DATABASE_TICKET_EDITORS","TICKET_EDITORS");
DEFINE("DATABASE_TICKET_CUSTOMS","TICKET_CUSTOMS");
DEFINE("DATABASE_TICKET_EMAILS","TICKET_EMAILS");
DEFINE("DATABASE_TICKET_LOGS","TICKET_LOGS");
DEFINE("DATABASE_TICKET_WATCHER","TICKET_WATCHER");
DEFINE("DATABASE_TICKET_COMMENTS","TICKET_COMMENTS");
DEFINE("DATABASE_TICKET_SUBS","TICKET_SUBS");
DEFINE("DATABASE_MAILBOXES","MAILBOXES");
DEFINE("DATABASE_SIGNATURES","SIGNATURES");
DEFINE("DATABASE_SOCIAL_MEDIA_CHANNELS","SOCIAL_MEDIA_CHANNELS");
DEFINE("DATABASE_EVENTS","EVENTS");
DEFINE("DATABASE_EVENT_ACTIONS","EVENT_ACTIONS");
DEFINE("DATABASE_EVENT_ACTION_RECEIVERS","EVENT_ACTION_RECEIVERS");
DEFINE("DATABASE_EVENT_ACTION_SENDERS","EVENT_ACTION_SENDERS");
DEFINE("DATABASE_EVENT_ACTION_INTERNALS","EVENT_ACTION_INTERNALS");
DEFINE("DATABASE_EVENT_TRIGGERS","EVENT_TRIGGERS");
DEFINE("DATABASE_EVENT_URLS","EVENT_URLS");
DEFINE("DATABASE_EVENT_FUNNELS","EVENT_FUNNELS");
DEFINE("DATABASE_CHAT_REQUESTS","CHAT_REQUESTS");
DEFINE("DATABASE_VISITOR_DATA_BROWSERS","VISITOR_DATA_BROWSERS");
DEFINE("DATABASE_VISITOR_DATA_SYSTEMS","VISITOR_DATA_SYSTEMS");
DEFINE("DATABASE_VISITOR_DATA_RESOLUTIONS","VISITOR_DATA_RESOLUTIONS");
DEFINE("DATABASE_VISITOR_DATA_CITIES","VISITOR_DATA_CITIES");
DEFINE("DATABASE_VISITOR_DATA_REGIONS","VISITOR_DATA_REGIONS");
DEFINE("DATABASE_VISITOR_DATA_ISPS","VISITOR_DATA_ISPS");
DEFINE("DATABASE_VISITOR_DATA_PAGES","VISITOR_DATA_PAGES");
DEFINE("DATABASE_VISITOR_DATA_DOMAINS","VISITOR_DATA_DOMAINS");
DEFINE("DATABASE_VISITOR_DATA_PATHS","VISITOR_DATA_PATHS");
DEFINE("DATABASE_VISITOR_DATA_CRAWLERS","VISITOR_DATA_CRAWLERS");
DEFINE("DATABASE_VISITOR_DATA_QUERIES","VISITOR_DATA_QUERIES");
DEFINE("DATABASE_VISITOR_DATA_TITLES","VISITOR_DATA_TITLES");
DEFINE("DATABASE_FILTERS","FILTERS");
DEFINE("DATABASE_VISITORS","VISITORS");
DEFINE("DATABASE_VISITOR_CHATS","VISITOR_CHATS");
DEFINE("DATABASE_VISITOR_CHAT_OPERATORS","VISITOR_CHAT_OPERATORS");
DEFINE("DATABASE_VISITOR_BROWSERS","VISITOR_BROWSERS");
DEFINE("DATABASE_VISITOR_COMMENTS","VISITOR_COMMENTS");
DEFINE("DATABASE_VISITOR_BROWSER_URLS","VISITOR_BROWSER_URLS");
DEFINE("DATABASE_OPERATOR_STATUS","OPERATOR_STATUS");
DEFINE("DATABASE_OPERATORS","OPERATORS");
DEFINE("DATABASE_ROLES","ROLES");
DEFINE("DATABASE_OPERATOR_LOGINS","OPERATOR_LOGINS");
DEFINE("DATABASE_STATS_AGGS","STATS_AGGS");
DEFINE("DATABASE_STATS_AGGS_BROWSERS","STATS_AGGS_BROWSERS");
DEFINE("DATABASE_STATS_AGGS_RESOLUTIONS","STATS_AGGS_RESOLUTIONS");
DEFINE("DATABASE_STATS_AGGS_COUNTRIES","STATS_AGGS_COUNTRIES");
DEFINE("DATABASE_STATS_AGGS_VISITS","STATS_AGGS_VISITS");
DEFINE("DATABASE_STATS_AGGS_SYSTEMS","STATS_AGGS_SYSTEMS");
DEFINE("DATABASE_STATS_AGGS_LANGUAGES","STATS_AGGS_LANGUAGES");
DEFINE("DATABASE_STATS_AGGS_CITIES","STATS_AGGS_CITIES");
DEFINE("DATABASE_STATS_AGGS_REGIONS","STATS_AGGS_REGIONS");
DEFINE("DATABASE_STATS_AGGS_ISPS","STATS_AGGS_ISPS");
DEFINE("DATABASE_STATS_AGGS_QUERIES","STATS_AGGS_QUERIES");
DEFINE("DATABASE_STATS_AGGS_TAGS","STATS_AGGS_TAGS");
DEFINE("DATABASE_STATS_AGGS_PAGES","STATS_AGGS_PAGES");
DEFINE("DATABASE_STATS_AGGS_DOMAINS","STATS_AGGS_DOMAINS");
DEFINE("DATABASE_STATS_AGGS_REFERRERS","STATS_AGGS_REFERRERS");
DEFINE("DATABASE_STATS_AGGS_AVAILABILITIES","STATS_AGGS_AVAILABILITIES");
DEFINE("DATABASE_STATS_AGGS_FEEDBACKS","STATS_AGGS_FEEDBACKS");
DEFINE("DATABASE_STATS_AGGS_DURATIONS","STATS_AGGS_DURATIONS");
DEFINE("DATABASE_STATS_AGGS_CHATS","STATS_AGGS_CHATS");
DEFINE("DATABASE_STATS_AGGS_TICKETS","STATS_AGGS_TICKETS");
DEFINE("DATABASE_STATS_AGGS_SEARCH_ENGINES","STATS_AGGS_SEARCH_ENGINES");
DEFINE("DATABASE_STATS_AGGS_VISITORS","STATS_AGGS_VISITORS");
DEFINE("DATABASE_STATS_AGGS_CRAWLERS","STATS_AGGS_CRAWLERS");
DEFINE("DATABASE_STATS_AGGS_PAGES_ENTRANCE","STATS_AGGS_PAGES_ENTRANCE");
DEFINE("DATABASE_STATS_AGGS_PAGES_EXIT","STATS_AGGS_PAGES_EXIT");
DEFINE("DATABASE_STATS_AGGS_GOALS","STATS_AGGS_GOALS");
DEFINE("DATABASE_STATS_AGGS_GOALS_QUERIES","STATS_AGGS_GOALS_QUERIES");
DEFINE("DATABASE_STATS_AGGS_EVENTS","STATS_AGGS_EVENTS");
DEFINE("DATABASE_STATS_AGGS_KNOWLEDGEBASE","STATS_AGGS_KNOWLEDGEBASE");
DEFINE("DATABASE_EVENT_GOALS","EVENT_GOALS");
DEFINE("DATABASE_AUTO_REPLIES","AUTO_REPLIES");
DEFINE("DATABASE_GOALS","GOALS");
DEFINE("DATABASE_CODES","CODES");
DEFINE("DATABASE_ADMINISTRATION_LOG","ADMINISTRATION_LOG");
DEFINE("DATABASE_IMAGES","IMAGES");
DEFINE("DATABASE_VISITOR_GOALS","VISITOR_GOALS");
DEFINE("DATABASE_PUSH_MESSAGES","PUSH_MESSAGES");
DEFINE("DATABASE_DATA_UPDATES","DATA_UPDATES");
DEFINE("DATABASE_CONFIG","CONFIG");
DEFINE("DATABASE_DATA_CACHE","DATA_CACHE");
DEFINE("DATABASE_USER_DATA","USER_DATA");
DEFINE("DATABASE_FEEDBACKS","FEEDBACKS");
DEFINE("DATABASE_FEEDBACK_CRITERIA","FEEDBACK_CRITERIA");
DEFINE("DATABASE_FEEDBACK_CRITERIA_CONFIG","FEEDBACK_CRITERIA_CONFIG");
DEFINE("DATABASE_KNOWLEDGEBASE_QUERIES","KNOWLEDGEBASE_QUERIES");
DEFINE("DATABASE_KNOWLEDGEBASE_VIEWS","KNOWLEDGEBASE_VIEWS");

DEFINE("DATA_UPDATE_KEY_TICKETS","UPDATE_TICKETS");
DEFINE("DATA_UPDATE_KEY_REPORTS","UPDATE_REPORTS");
DEFINE("DATA_UPDATE_KEY_FEEDBACKS","UPDATE_FEEDBACKS");
DEFINE("DATA_UPDATE_KEY_EMAILS","UPDATE_EMAILS");
DEFINE("DATA_UPDATE_KEY_EVENTS","UPDATE_EVENTS");
DEFINE("DATA_UPDATE_KEY_CHAT_ARCH","UPDATE_ARCHIVE");
DEFINE("DATA_UPDATE_KEY_FILTERS","UPDATE_FILTERS");

define("DATA_CACHE_KEY_EVENTS",112);
define("DATA_CACHE_KEY_OPERATORS",113);
define("DATA_CACHE_KEY_GROUPS",114);
define("DATA_CACHE_KEY_FILTERS",115);
define("DATA_CACHE_KEY_DBCONFIG",116);
define("DATA_CACHE_KEY_STATS",117);
define("DATA_CACHE_KEY_DATA_TIMES",118);
define("DATA_CACHE_KEY_ROLES",119);

define("FILTER_VALIDATE_REGEXP_HEXCOLOR","/^#(?:(?:[a-f0-9]{3}){1,2})$/i");
if(!defined("FILTER_VALIDATE_INT"))define("FILTER_VALIDATE_INT",false);
if(!defined("FILTER_VALIDATE_REGEXP"))define("FILTER_VALIDATE_REGEXP",false);
if(!defined("FILTER_SANITIZE_URL"))define("FILTER_SANITIZE_URL",false);
if(!defined("FILTER_SANITIZE_SPECIAL_CHARS"))define("FILTER_SANITIZE_SPECIAL_CHARS",false);
if(!defined("FILTER_VALIDATE_FLOAT"))define("FILTER_VALIDATE_FLOAT",false);
if(!defined("FILTER_HTML_ENTITIES"))define("FILTER_HTML_ENTITIES","FILTER_HTML_ENTITIES");

?>